/**
Small Assignment 2: Processing and turtle geometry.
Jorge Loredo Duran
jloredo98@unm.edu
Computational Fabrications, CS 591.
Submitted on January 29, 2022
A really cool program that uses polar plotting to draw a beautiful purple flower.
*/

float t=0,w,h;
float r=0,theta=0;

void setup(){

  fullScreen();
  background(255);

  h=height;
  w=width;

  /* DRAWING THE COORDINATE AXES */
  strokeWeight(1);
  stroke(0);
  line(0,h/2,w,h/2);
  line(w/2,0,w/2,h);

  /* LINE THICKNESS */
  strokeWeight(3);
}

void draw(){

  /* SHIFTING THE ORIGIN TO CENTER OF THE SCREEN */
  translate(w/2,h/2);

  /* ROTATING TO THE POLAR ANGLE */
  theta=radians(t);
  rotate(theta);

  /* EQUATIONS FOR THE CURVE */
  r=(150*sin(theta)+150*pow((sin(5*(theta/2))),3));


  /* PLOTTING THE COOL FLOWER */
  stroke(197, 124, 242);
  point(-r,0);

  t+=.5;
}
