/**
Small Assignment 2: Processing and turtle geometry.
Jorge Loredo Duran
jloredo98@unm.edu
Computational Fabrications, CS 591.
Submitted on January 29, 2022
A really cool program that uses Turtle Geometry to draw a cirlce with a given radius size.
AN IMPORTANT NOTE! I did this part of the assignment before I could access the slides for the lecture I missed, so my solution may not be the desired one.
However, I thought it was a neat solution so I decided to share this one. Thanks! 
*/
import Turtle.*;
Turtle t;

void setup() {
  size(1000,800);
  background(255);
  stroke(255, 0, 0);
  t = new Turtle(this);
  noLoop();
}

void draw() {
  /*Defining the size of the radius and initializing our align to center value*/
  float radius = 5;
  float align = radius*60;
  
  /*Moving our turtle so the circle is drawn in the center of the screen*/
  t.penUp();
  t.left(90);
  t.forward(align);
  t.right(90);
  t.penDown();
  
  /*Drawing the circle*/
  circle(radius);
  
  /*Moving our turtle back*/
  t.penUp();
  t.right(90);
  t.forward(align);
  t.left(90);
}

 /*Function that draws the circle with the given radius size*/
void circle(float radius) {
  for(int i = 0; i < 360; i++){
    t.forward(radius);
    t.right(1);
  }
}
