/**
Small Assignment 2: Processing and turtle geometry.
Jorge Loredo Duran
jloredo98@unm.edu
Computational Fabrications, CS 591.
Submitted on January 29, 2022
A really cool program that draws pretty stuff with turtle geometry.
*/
import Turtle.*;
Turtle t;

void setup() {
  size(1000,800);
  background(0);
  strokeWeight(1);
  t = new Turtle(this);
  noLoop();
}

void draw() {
  
  //DRAWING A CIRLCE WITH SQUARES
  t.penUp();
  //fixing the starting position in our canvas
  t.forward(200);
  float sizeOfCircle = 100;
  stroke(0, 222, 4);
  t.penDown();
  squaresCircle(sizeOfCircle);
  
  //DRAWING A NICE BOAT
  stroke(255, 0, 0);
  //Positioning the turtle in a new spot
  t.left(90);
  t.penUp();
  t.forward(250);
  t.penDown();
  drawShip();
  
  //DRAWING A COOL SUN MADE OF PRISMS
  stroke(0,0,255);
  //Positioning the turtle in a new spot
  t.penUp();
  t.left(60);
  t.forward(300);
  t.right(180);
  t.penDown();
  drawSun();
  
  //DRAWING A SPIRAL OUT OF SQUARES
  stroke(250, 10, 27);
  //positioning the turtle in the new spot
  t.penUp();
  t.right(90);
  t.forward(400);
  t.left(90);
  t.penDown();
  drawSpiral();
  
}

 /*FUNCTION THAT DRAWS SPIRAL*/
void drawSpiral(){
  float size = 1;
  float greenLevel = 10;
  for (int i = 0; i < 180; i++) {
    stroke(250, greenLevel, 27);
    t.forward(size);
    t.right(91);
    size = size + 1;
    greenLevel = greenLevel + 0.9;
  }
}

 /*FUNCTION THAT DRAWS SUN*/
void drawSun() {
  for (int i = 0; i < 360; i++) {
    t.right(60);
    t.forward(100);
    t.right(170);
    t.forward(100);
    t.right(200);
    t.forward(100);
  }
}

 /*FUNCTION THAT DRAWS SHIP*/
void drawShip() {
  t.forward(100);
  t.right(90);
  t.forward(50);
  t.right(120);
  t.forward(100);
  t.left(60);
  t.forward(100);
  t.right(120);
  t.forward(50);
  t.right(90);
  t.forward(87);
  t.right(90);
  t.forward(150);
  t.right(120);
  t.forward(50);
  t.right(120);
  t.forward(50);
}

 /*FUNCTION THAT DRAWS A CIRCLE WITH SQUARES*/
void squaresCircle(float radius) {
  for(int i = 0; i < 360; i++){
    t.forward(radius);
    t.right(radius);
  }
}
