/**
Small Assignment 2: Processing and turtle geometry.
Jorge Loredo Duran
jloredo98@unm.edu
Computational Fabrications, CS 591.
Submitted on January 29, 2022
A really cool program that draws pretty sunflowers.
IMPORTANT: For screen constraints and what not, the number of petals should ideally be between 3 and 20, and the size of flower between .2 and 2
*/
import Turtle.*;
Turtle t;

void setup() {
  size(1000,800);
  background(129, 232, 26);
  stroke(255, 220, 20);
  strokeWeight(10);
  fill(82, 60, 24);
  t = new Turtle(this);
  noLoop();
}

void draw() {
  
  /*CHOOSE YOUR NUMBER OF PETALS, VALUES BETWEEN 3 AND 20!!! LARGER THAN 20 WON'T FIT THE SCREEN, ALTHOUGH YOU CAN STILL TRY IT FOR FUN, AND ALSO BY MESSING WITH THE FLOWER SIZE BELOW*/
  float numberOfPetals = 12;
  /*CHOOSE THE SIZE OF THE FLOWER, BETWEEN .2 AND 2 HIGHLY RECOMMENDED!!! FOR SCREEN REASONS*/
  float sizeOfCircle = 1;
  
  //INITIALIZING OUR VARIABLES AND TRIG MEASURMENTS
  float angle = (360/numberOfPetals);
  float radiusOfCircle = (sizeOfCircle*90);
  float petalSize = (radiusOfCircle/angle)*75;
  
  
  //DRAWING THE FLOWER
  t.left(angle/2);
  t.forward(petalSize);
  t.right(angle/2);
  //START WITH THE FIRST PETAL
  petalCircle(sizeOfCircle);
  t.right(angle/2);
  t.forward(petalSize);
  //METHOD CALL TO DRAW THE REST OF THE FLOWER
  drawFlower(numberOfPetals, petalSize, sizeOfCircle, angle);
  //DRAW THE CIRCLE IN THE MIDDLE OF THE FLOWER
  if (sizeOfCircle < 1){
    circle(500, 400, 50);
  }
  else {
    circle(500, 400, 100);
  }
  
}

 /*FUNCTION THAT DRAWS THE FLOWER*/
void drawFlower(float numberOfPetals, float petalSize, float sizeOfCircle, float angle) {
  for (int i = 0; i < numberOfPetals-1; i++){
    t.right(180);
    t.forward(petalSize);
    t.right(angle/2);
    petalCircle(sizeOfCircle);
    t.right(angle/2);
    t.forward(petalSize);
  }
}

 /*FUNCTION THAT DRAWS THE TOP OF THE CONES*/
void petalCircle(float radius) {
  for(int i = 0; i < 180; i++){
    t.forward(radius);
    t.right(1);
  }
}
